%define name    kvpnc
%define version 0.7.2
%define rel     2
%define release %mkrel %rel
%define Summary KDE frontend to various vpn clients

%define unstable 1
%define use_enable_final 1

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}

License: 		GPL
Group: 			Graphical desktop/KDE
Source: 		http://download.gna.org/kvpnc/kvpnc-%{version}.tar.bz2
URL: 			http://home.gna.org/kvpnc/

BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	kdelibs-devel
Requires: 		usermode-consoleonly
Requires: 		kvpnc-backend

Patch1:			kvpnc-0.6-fix-desktop-file.patch.bz2

%description
KVpnc is a KDE frontend for for various vpn clients.
It supports Cisco VPN (vpnc) and IPSec (FreeS/WAN, racoon).
Vpnc is a replacement for the cisco VPN client and its used 
as client for the cisco3000 VPN Concentrator, FreeS/WAN (OpenS/WAN) 
is a IPSec client for Linux 2.4.x and racoon is a IPSec client 
for Linux 2.6.x and *BSD.

%prep
%setup -q -n kvpnc-%{version}

#%patch1 -p1 -b .fix_desktop_file

%build

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath \
%if %use_enable_final
			--enable-final \
%else		
			--disable-final \
%endif
%if %unstable
					--enable-debug=full
%else
					--disable-debug
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall

# Menu

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Internet/Remote Access" $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/kvpnc.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

#install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
#install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
#install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

#mkdir -p $RPM_BUILD_ROOT%{_sbindir}
#mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}

# Stolen from guarddog spec
### consolehelper entry
#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
#ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}
#cat > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/%{name} <<EOF
#USER=root
#PROGRAM=%{_sbindir}/%{name}
#SESSION=true
#FALLBACK=true
#EOF

### pam entry
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/%{name} <<EOF
auth       sufficient   pam_rootok.so
auth       required     pam_stack.so service=system-auth
session    optional     pam_xauth.so
account    required     pam_permit.so
EOF

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(0755,root,root,0755)
#%{_sbindir}/%{name}
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_datadir}/applnk/Internet/kvpnc.desktop

%dir %{_datadir}/apps/kvpnc/
%{_datadir}/apps/kvpnc/eventsrc
%{_datadir}/apps/kvpnc/kvpncui.rc

%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/actions/*.png
#%{_miconsdir}/%{name}.png
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
#%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%doc %_docdir/HTML/*/%{name}/*
%doc %_docdir/HTML/%{name}/*.txt



%changelog
* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-2
- REbuild

* Wed Jul 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1
- 0.7.2

* Thu Jun 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-1
- 0.7

* Mon Jun 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-0.rc1.1
- 0.7rc1

* Mon Apr 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Fix build for amd64

* Fri Apr 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Fri Mar 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Reupload

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-4mdk
- Add patch2: fix crash in configure settings

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-3mdk
- Fix spec file
- Add debug flag
- Add enable-final flag
- Fix pam entry
- Now necessary consolehelper stuff which broke all kvpnc

* Sun Dec 26 2004 Couriousous <couriousous@mandrake.org> 0.5-2mdk
- Add consolehelper stuff as kvpnc requires to run as root
- Add Requires kvpnc-backend
  Thank misc for all the explications

* Sun Dec 26 2004 Couriousous <couriousous@mandrake.org> 0.5-1mdk
- 0.5
- Remove vpnc require
- Update description
- Fix menu entry

* Tue Jun 29 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.3-1mdk
- First Mandrake release

